Subject: Re: More fun building my ToolChain: glibc

From: Francois Desloges <[email-masked]>
Date: Thu, 23 Sep 1999 13:58:16 -0400

That's a copy of the last mail with a Subject added.
Sorry for the lack of subject on the last one, it just slipped out of my
attention. Sorry again
--

On Wed, 22 Sep 1999, Philip wrote:
> Did you check what version of GNU make you have?

Sorry, I forgot the earlier questions.
My make version is 3.77, which glibc Install tell me should not cause any
problem. And building without -j 2 gives the same results.

My Makeconfig contain the appropriate lib-names.h creations routine:
># Generate the header containing the names of all shared libraries.
># We use a stamp file to avoid uncessary recompilations.
>before-compile += $(common-objpfx)gnu/lib-names.h
>$(common-objpfx)gnu/lib-names.h: $(common-objpfx)gnu/lib-names.stmp; @:
>$(common-objpfx)gnu/lib-names.stmp: $(common-objpfx)soversions.mk
>        $(make-target-directory)
>        @rm -f ${@:stmp=T} $@
>        (echo '/* This file is automatically generated.';\
>        echo '    It defines macros to allow user program to find the shared';\
>        echo '    library files which come as part of GNU libc.  */';\
>        echo '#ifndef __GNU_LIB_NAMES_H'; \
>        echo '#define __GNU_LIB_NAMES_H        1'; \
>        echo; \
>        (libs='$(all-sonames)';\
>         for l in $$libs; do \
>             upname=`echo $$l | sed 's/[.]so.*//' | \
>                     tr 'abcdefghijklmnopqrstuvwxyz-' \
>                           'ABCDEFGHIJKLMNOPQRSTUVWXYZ_'`; \
>             echo "#define       $${upname}_SO   \"$$l\""; \
>         done;) | sort; \
>        echo; \
>        echo '#endif   /* gnu/lib-names.h */';) > ${@:stmp=T}
>        $(move-if-change) ${@:stmp=T} ${@:stmp=h}
>        touch $@
>
>common-generated += gnu/lib-names.h gnu/lib-names.stmp

And the soversions.mk generation code that precede it in the Makeconfig
generated the appropriate soversions.mk file, which content begin  with:
>libpthread.so-version=.0
>all-sonames+=libpthread.so$(libpthread.so-version)
>libm.so-version=.6
>all-sonames+=libm.so$(libm.so-version)
>libc.so-version=.6
>all-sonames+=libc.so$(libc.so-version)
>ld.so-version=ld-linux.so.2
>all-sonames+=$(ld.so-version)
>libdl.so-version=.2
>all-sonames+=libdl.so$(libdl.so-version)
>libutil.so-version=.1
>all-sonames+=libutil.so$(libutil.so-version)
>libresolv.so-version=.2
>all-sonames+=libresolv.so$(libresolv.so-version)
>libnss_files.so-version=.2
>all-sonames+=libnss_files.so$(libnss_files.so-version)
>...
which should generate the appropriate
>#define LIBNSS_FILES_SO "libnss_files.so.2" 
line and all other defines in lib-names.h

I just have _no_ idea what to do!

By the way, how do I force make to rebuild everything?
I've read/browse-trough almost half of make's document and have find nothing
about this (though it was very instructive)
And is Makeconfig executed by ./configure or make?

Oh well, I feel by far too dependent from your help!
One day, I promise, I'll be the one helping :-)
Thank you so much !

--
François Desloges
[email-masked]
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]